unit MainUnit;
{ *************************************************
  *            FormRgn library 04.05.99           *
  *           written by Grigoriev Anton          *
  *                                               *
  *                  Demo program                 *
  ************************************************* }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  FormRgn, StdCtrls;

type
  TForm1 = class(TForm)
    CaptionRegion1: TCaptionRegion;
    SBClose: TSystemButton;
    SBMax: TSystemButton;
    SBMin: TSystemButton;
    CaptionText1: TCaptionText;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormPaint(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormPaint(Sender: TObject);
 begin
  with Canvas do
   begin
    Pen.Color:=cl3DDkShadow;
    MoveTo(Width-1,0);
    LineTo(Width-1,Height-1);
    LineTo(0,Height-1);
    Pen.Color:=cl3DLight;
    LineTo(0,0);
    LineTo(Width-2,0);
    Pen.Color:=clGray;
    LineTo(Width-2,Height-2);
    LineTo(1,Height-2);
    Pen.Color:=clWhite;
    LineTo(1,1);
    LineTo(Width-3,1)
   end;
 end;

procedure TForm1.FormResize(Sender: TObject);
 begin
  SBMin.Left:=ClientWidth-168;
  SBMax.Left:=ClientWidth-120;
  SBClose.Left:=ClientWidth-62;
  Label1.Width:=ClientWidth;
  Label2.Width:=ClientWidth
 end;

end.
